org.apache.tamaya.integration.spring

## Class SpringConfigInjectionPostProcessor

- java.lang.Object
- - org.apache.tamaya.integration.spring.SpringConfigInjectionPostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.config.BeanPostProcessor

      @Component
      public class SpringConfigInjectionPostProcessor
      extends Object
      implements org.springframework.beans.factory.config.BeanPostProcessor

  PostProcessor that performs injection of configured values using Tamaya `ConfigurationInjection`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringConfigInjectionPostProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `postProcessAfterInitialization(Object o, String s)`
    `Object` | `postProcessBeforeInitialization(Object o, String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringConfigInjectionPostProcessor

          public SpringConfigInjectionPostProcessor()

  - ### Method Detail

    - #### postProcessBeforeInitialization

          public Object postProcessBeforeInitialization(Object o,
                                               String s)
                                                 throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### postProcessAfterInitialization

          public Object postProcessAfterInitialization(Object o,
                                              String s)
                                                throws org.springframework.beans.BeansException

      Specified by:
        `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.